!ipk last update Nov 18 1997                                            
!                                                                       
      SUBROUTINE HELPS(NTPIN) 
      USE WINTERACTER
!                                                                       
!  Master routine controlling the help facility                         
!                                                                       
!                                                                       
      USE BLK1MOD
!      INCLUDE 'BLK1.COM' 
	  INCLUDE 'BFILES.I90'
!                                                                       
      CHARACTER(LEN=256)  :: FILTER
      CHARACTER*32 ANS 
      CHARACTER*78 AHP
      character*55 strels 
!      INTEGER*2 IPAG                                                   
!      INTEGER*2 NT                                                     
      DIMENSION NPOS(11),NFIN(10) 
      LOGICAL*4 EXST 
        
      INQUIRE(FILE=DIRECT,EXIST=EXST) 
        IF(.not. EXST) THEN 
          CALL CLSCRN 
!           WRITE(strels,6000)
! 6000 format( 'Help files not available, press enter to return to menu')                                                    
!          CALL SYMBL(0.2,7.0,0.25,STRELS,0.0,55)
!          NDIG=1         
!          call gtcharx(ans,ndig,6.0,7.0)  

          Filter='HTM file  -- *.htm|*.htm|'

!          CALL WSelectFile(FILTER,PromptOn,DIRECT,'Help files not available - BROWSE')

          CALL WSelectFile(FILTER,LoadDialog+MustExist,DIRECT,'Help files not available - BROWSE')
          IF (WInfoDialog(ExitButtonCommon).EQ.CommonOpen) THEN
            GO TO 200
          ELSE
            CALL PLOTOT(1) 
            RETURN 
          ENDIF
        ENDIF   
!                                                                       
!  Write list of options and request choice                             
!                                                                       
  200 CONTINUE 
!                                                                       
!  Decode choice and open appropriate file                              
!                                                                       
      IF(NTPIN .EQ. 0) THEN
        if(nhtp .lt. 3) then
            call WHelpfile(DIRECT)
        elseif(nhtp .eq. 3) then
            call WHelpfile(DIRECT,'REORDER')
        elseif(nhtp .eq. 4) then
            call WHelpfile(DIRECT,'NODE')
        elseif(nhtp .eq. 5) then
            call WHelpfile(DIRECT,'REDRAW')
        elseif(nhtp .eq. 6) then
            call WHelpfile(DIRECT,'ELEMENT')
        elseif(nhtp .eq. 7) then
            call WHelpfile(DIRECT,'SELECT')
        elseif(nhtp .eq. 8) then
            call WHelpfile(DIRECT,'REFINE')
        elseif(nhtp .eq. 9) then
            call WHelpfile(DIRECT,'ELEVATION')
        elseif(nhtp .eq. 10) then
            call WHelpfile(DIRECT,'DELETE')
        elseif(nhtp .eq. 11) then
            call WHelpfile(DIRECT,'SAVE')
        elseif(nhtp .eq. 12) then
            call WHelpfile(DIRECT,'MAP')
        elseif(nhtp .eq. 13) then
            call WHelpfile(DIRECT,'WIDTH')
        elseif(nhtp .eq. 14) then
            call WHelpfile(DIRECT,'POLNODE')
        elseif(nhtp .eq. 15) then
            call WHelpfile(DIRECT,'POLELEM')
        endif
      ELSEIF(NTPIN .EQ. 1) THEN                                         
            call WHelpfile(DIRECT,'FILE')
      ELSEIF(NTPIN .EQ. 2) THEN                                         
            call WHelpfile(DIRECT,'ELEMENT')
      ELSEIF(NTPIN .EQ. 3) THEN                                         
            call WHelpfile(DIRECT,'NODE')
      ELSEIF(NTPIN .EQ. 4) THEN                                         
            call WHelpfile(DIRECT,'ELEVATION')
      ELSEIF(NTPIN .EQ. 5) THEN                                         
            call WHelpfile(DIRECT,'REORDER')
      ELSEIF(NTPIN .EQ. 6) THEN                                         
            call WHelpfile(DIRECT,'SELECT')
      ELSEIF(NTPIN .EQ. 7) THEN                                         
            call WHelpfile(DIRECT,'DELETE')                                             
      ELSEIF(NTPIN .EQ. 8) THEN                                         
            call WHelpfile(DIRECT,'SAVE')
                                                                        
      ENDIF                                                             
      RETURN                                                            
      END                                           
